Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision 98dbee850caead4ba8e84808ca18dad7c31efa86)
+++ src/UIElements/Makefile.am	(revision 1e1098614112b1d75c8d4c6e30e2cf32591c0286)
@@ -165,4 +165,5 @@
   UIElements/Menu/Qt4/QtMenuPipe.cpp \
   UIElements/Views/Qt4/QtElementList.cpp \
+  UIElements/Views/Qt4/QtHomologyList.cpp \
   UIElements/Views/Qt4/QtInfoBox.cpp \
   UIElements/Views/Qt4/QtMoleculeList.cpp \
@@ -186,4 +187,5 @@
   UIElements/Menu/Qt4/QtMenuPipe.hpp \
   UIElements/Views/Qt4/QtElementList.hpp \
+  UIElements/Views/Qt4/QtHomologyList.hpp \
   UIElements/Views/Qt4/QtInfoBox.hpp \
   UIElements/Views/Qt4/QtMoleculeList.hpp \
Index: src/UIElements/Qt4/QtMainWindow.cpp
===================================================================
--- src/UIElements/Qt4/QtMainWindow.cpp	(revision 98dbee850caead4ba8e84808ca18dad7c31efa86)
+++ src/UIElements/Qt4/QtMainWindow.cpp	(revision 1e1098614112b1d75c8d4c6e30e2cf32591c0286)
@@ -54,4 +54,5 @@
 #include "Views/Qt4/QtMoleculeList.hpp"
 #include "Views/Qt4/QtElementList.hpp"
+#include "Views/Qt4/QtHomologyList.hpp"
 #include "Views/Qt4/QtShapeController.hpp"
 #include "Views/Qt4/QtInfoBox.hpp"
@@ -89,4 +90,5 @@
   moleculeList = new QtMoleculeList(worldTab);
   elementList = new QtElementList(worldTab);
+  homologyList = new QtHomologyList(worldTab);
   shapeController = new QtShapeController(worldTab);
 
@@ -115,4 +117,5 @@
   worldTab->addTab(moleculeList, "Molecules");
   worldTab->addTab(elementList, "All Elements");
+  worldTab->addTab(homologyList, "All Homologies");
 
   statusBar = new QtStatusBar(this);
Index: src/UIElements/Qt4/QtMainWindow.hpp
===================================================================
--- src/UIElements/Qt4/QtMainWindow.hpp	(revision 98dbee850caead4ba8e84808ca18dad7c31efa86)
+++ src/UIElements/Qt4/QtMainWindow.hpp	(revision 1e1098614112b1d75c8d4c6e30e2cf32591c0286)
@@ -25,4 +25,5 @@
 class QtMoleculeList;
 class QtElementList;
+class QtHomologyList;
 class QtShapeController;
 class StringView;
@@ -52,4 +53,5 @@
   QtMoleculeList *moleculeList;
   QtElementList *elementList;
+  QtHomologyList *homologyList;
   QtShapeController *shapeController;
   GLWorldView *glWorldView;
Index: src/UIElements/Views/Qt4/QtHomologyList.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtHomologyList.cpp	(revision 1e1098614112b1d75c8d4c6e30e2cf32591c0286)
+++ src/UIElements/Views/Qt4/QtHomologyList.cpp	(revision 1e1098614112b1d75c8d4c6e30e2cf32591c0286)
@@ -0,0 +1,153 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2013 Frederik Heber. All rights reserved.
+ * 
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * QtHomologyList.cpp
+ *
+ *  Created on: Jun 24, 2014
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Views/Qt4/QtHomologyList.hpp"
+
+#include <iterator>
+#include <iostream>
+
+#include <QAbstractItemView>
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "Fragmentation/Homology/HomologyContainer.hpp"
+#include "World.hpp"
+
+using namespace std;
+
+const int QtHomologyList::COLUMNCOUNT = COLUMNTYPES_MAX;
+const char *QtHomologyList::COLUMNNAMES[QtHomologyList::COLUMNCOUNT]={"Number","Nodes","Edges","Occurrence"};
+
+QtHomologyList::QtHomologyList(QWidget * _parent) :
+    QTreeWidget (_parent),
+    Observer("QtHomologyList")
+{
+  setColumnCount(COLUMNCOUNT);
+  setSelectionMode(QAbstractItemView::MultiSelection);
+
+  QStringList header;
+	for(int i=0; i<COLUMNCOUNT;++i)
+	  header << COLUMNNAMES[i];
+	setHeaderLabels(header);
+
+	dirty = true;
+	refill();
+
+	HomologyContainer &homologies = World::getInstance().getHomologies();
+	homologies.signOn(this);
+
+  connect(this,SIGNAL(itemSelectionChanged()),this,SLOT(rowSelected()));
+  connect(this,SIGNAL(changed()),this,SLOT(update()));
+}
+
+QtHomologyList::~QtHomologyList()
+{
+  HomologyContainer &homologies = World::getInstance().getHomologies();
+  homologies.signOff(this);
+}
+
+void QtHomologyList::update(Observable *publisher) {
+
+  dirty = true;
+
+  // force an update from Qt...
+  clear();
+  //emit changed(); doesn't work!?!
+}
+
+void QtHomologyList::refill()
+{
+  const HomologyContainer &homologies = World::getInstance().getHomologies();
+
+  // clear everything
+  HomologySelection.clear();
+  clear();
+
+  size_t count = 0;
+  for (HomologyContainer::const_key_iterator iter = homologies.key_begin();
+      iter != homologies.key_end(); iter = homologies.getNextKey(iter), ++count) {
+    HomologyContainer::range_t occurences = homologies.getHomologousGraphs(*iter);
+    const HomologyGraph &graph = occurences.first->first;
+    const size_t times = std::distance(occurences.first, occurences.second);
+
+    QTreeWidgetItem *treeItem = new QTreeWidgetItem(this);
+    treeItem->setText(NUMBER, QString::number(count));
+    {
+      std::stringstream output;
+      graph.printNodes(output);
+      treeItem->setText(NODES, QString(output.str().c_str()));
+    }
+    {
+      std::stringstream output;
+      graph.printEdges(output);
+      treeItem->setText(EDGES, QString(output.str().c_str()));
+    }
+    if (times > 0) {
+      treeItem->setText(OCCURRENCE, QString::number(times));
+    } else {
+      treeItem->setText(OCCURRENCE, "none");
+      treeItem->setDisabled(true);
+    }
+    HomologySelection.push_back(treeItem->isSelected());
+  }
+  dirty = false;
+}
+
+void QtHomologyList::paintEvent(QPaintEvent * event)
+{
+  if (dirty)
+    refill();
+  QTreeWidget::paintEvent(event);
+}
+
+void QtHomologyList::subjectKilled(Observable *publisher)
+{
+  // as a new instance should always already be present ... just sign on
+  HomologyContainer &homologies = World::getInstance().getHomologies();
+  homologies.signOn(this);
+}
+
+
+void QtHomologyList::rowSelected()
+{
+  //std::cout << "rowSelected\n";
+  for (int i=0;i<topLevelItemCount();i++){
+    QTreeWidgetItem *item = topLevelItem(i);
+    bool newSelection = item->isSelected();
+    if (newSelection != HomologySelection[i]){
+      HomologySelection[i] = newSelection;
+    }
+  }
+}
+
Index: src/UIElements/Views/Qt4/QtHomologyList.hpp
===================================================================
--- src/UIElements/Views/Qt4/QtHomologyList.hpp	(revision 1e1098614112b1d75c8d4c6e30e2cf32591c0286)
+++ src/UIElements/Views/Qt4/QtHomologyList.hpp	(revision 1e1098614112b1d75c8d4c6e30e2cf32591c0286)
@@ -0,0 +1,53 @@
+/*
+ * QtHomologyList.hpp
+ *
+ *  Created on: Jun 24, 2013
+ *      Author: heber
+ */
+
+#ifndef QTHOMOLOGYLIST_H_
+#define QTHOMOLOGYLIST_H_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include <QtGui/QTreeWidget>
+#include "CodePatterns/Observer/Observer.hpp"
+
+class HomologyGraph;
+
+class QtHomologyList: public QTreeWidget, public Observer
+{
+  Q_OBJECT
+
+public:
+  QtHomologyList(QWidget * _parent=0);
+  virtual ~QtHomologyList();
+
+protected:
+  virtual void update(Observable *publisher);
+  virtual void subjectKilled(Observable *publisher);
+  virtual void paintEvent(QPaintEvent * event);
+  void refill();
+
+  static const int COLUMNCOUNT;
+  enum {NUMBER,NODES,EDGES,OCCURRENCE,COLUMNTYPES_MAX} COLUMNTYPES;
+  static const char *COLUMNNAMES[];
+
+private slots:
+  void rowSelected();
+
+signals:
+  void HomologySelected(HomologyGraph const *);
+  void HomologyUnSelected(HomologyGraph const *);
+  void changed();
+
+private:
+  std::vector<bool> HomologySelection; //!< needed to determine when a selection changes
+  bool dirty;
+};
+
+#endif /* QTHOMOLOGYLIST_H_ */
